#!/bin/bash

#SBATCH --job-name=HPO_Propulate         # job name
#SBATCH --partition=gpu_4                # partition
#SBATCH --gres=gpu:4                     # number of requested GPUs (GPU nodes shared btwn multiple jobs)
#SBATCH --ntasks-per-node=4              # number of tasks equals number of GPUs
#SBATCH --time=30:00                     # wall-clock time limit
#SBATCH --mem=128000
#SBATCH --nodes=1
#SBATCH --mail-type=ALL

# Set up modules.
module purge                               # Unload all currently loaded modules.
module load compiler/gnu/13.3              # Load required modules.
module load mpi/openmpi/4.1
module load devel/cuda/12.4

export VENVDIR=<path/to/your/venv/dir>  # Export path to your virtual environment.
export PYDIR=<path/to/your/py/dir>      # Export path to directory containing Python script.

export IBV_FORK_SAFE=1
export OMPI_MCA_mpi_warn_on_fork=0
export OMPI_MCA_btl_openib_warn_default_gid_prefix=0

source ${VENVDIR}/bin/activate # Activate your virtual environment.
mpirun python -u ${PYDIR}/propulate_hpo.py
